Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360345 - Make sure 5.8 documentation contains correct DB paths
Summary: Make sure 5.8 documentation contains correct DB paths
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation
Version: 570
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Michaela Slaninkova
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2016-07-26 13:09 UTC by Jan Hutař
Modified: 2017-06-21 12:08 UTC (History)
4 users (show)

Fixed In Version: rhn-i18n-release-notes-5.8.0.1-1 rhn-i18n-guides-5.8.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:08:46 UTC


Attachments (Terms of Use)

Description Jan Hutař 2016-07-26 13:09:04 UTC
Looks like we will use PostgreSQL 9.5 from SCL as a DB backend (see bug 1359874). We have to make sure there are correct paths in all docs.

Something like (I assume, have to confirm once I actually see 9.5 somewhere):

-/opt/rh/postgresql92/root/var/lib/pgsql/
+/opt/rh/postgresql95/root/var/lib/pgsql/

Comment 1 Tomas Lestach 2016-12-02 12:43:40 UTC
Jan, please note, this BZ filed against official documentation. Not against upgrade docs.

Comment 4 Ales Dujicek 2017-06-07 06:55:15 UTC
/rhn/help/satellite/en-US/sect-Scenario_3_Installing_Satellite_with_External_Database.jsp#sect-External_Database_Requirements

Red Hat supports Red Hat Satellite installations on a External Database using one of the following:
    PostgreSQL 9.2
    Oracle Database 11g Standard and Enterprise Edition
    Oracle Database 10g Release 2 Standard and Enterprise Edition 
need to update to PG 9.5 and Ora 12c (according to release notes)


3.3.1.1. PostgreSQL Database Requirements
Red Hat Satellite requires the following packages installed on the Red Hat Enterprise Linux system chosen to host the PostgreSQL External Database:

    postgresql92
    postgresql92-postgresql 
    ...
need to update to 9.5


/rhn/help/satellite/en-US/sect-Migrating_the_Database.jsp#sect-Migrating_from_an_Embedded_Database_to_an_External_PostgreSQL_Database
db migration instructions also still contains PG 9.2...


/rhn/help/satellite/en-US/General_Database_Requirements.jsp
also 92 paths..

Comment 13 Ales Dujicek 2017-06-16 08:21:49 UTC
I noticed one more place, where is wrong path:

9.1.2. Confirming Database Disk Space
Procedure 9.1.
For Satellite 5.6
The embedded database is stored in directory /var/lib/pgsql. After the upgrade, the embedded database will be stored in directory /opt/rh/postgresql92/root/var/lib/pgsql.
For Satellite 5.7
The embedded database is stored in directory /opt/rh/postgresql92/root/var/lib/pgsql, and this will not change after the upgrade. 

>> after upgrade to 5.8 postgres 9.5 data will be stored in /var/opt/rh/rh-postgresql95/lib/pgsql/data/


Note You need to log in before you can comment on or make changes to this bug.